Bug 893332 (CVE-2013-0167) - CVE-2013-0167 vdsm: unfiltered guestInfo dictionary DoS
Summary: CVE-2013-0167 vdsm: unfiltered guestInfo dictionary DoS
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0167
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 888732 893333 972951
Blocks: 893337 954326 970947 970962
TreeView+ depends on / blocked
 
Reported: 2013-01-09 06:40 UTC by Petr Matousek
Modified: 2019-09-29 12:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-10 21:57:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0886 normal SHIPPED_LIVE Moderate: rhev 3.2 - vdsm security and bug fix update 2013-06-11 00:25:02 UTC
Red Hat Product Errata RHSA-2013:0907 normal SHIPPED_LIVE Important: rhev-hypervisor6 security and bug fix update 2013-06-11 00:25:13 UTC

Description Petr Matousek 2013-01-09 06:40:08 UTC
A flaw was found in the way processing of unexpected fields in guestInfo dictionary were handled. A privileged guest user can potentially make the host the VM runs on unavailable to the managment server.

Acknowledgements:

This issue was discovered by Dan Kenigsberg of the Red Hat Enterprise Virtualization team.

Comment 3 errata-xmlrpc 2013-06-10 20:39:49 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6
  RHEV Manager version 3.2

Via RHSA-2013:0886 https://rhn.redhat.com/errata/RHSA-2013-0886.html

Comment 4 errata-xmlrpc 2013-06-10 20:49:36 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:0907 https://rhn.redhat.com/errata/RHSA-2013-0907.html

Comment 5 Vincent Danen 2013-06-10 21:53:01 UTC
Created vdsm tracking bugs for this issue

Affects: fedora-all [bug 972951]


Note You need to log in before you can comment on or make changes to this bug.